MCP Tools Reference: gmailmcp.googleapis.com

Outil : create_label

Crée un libellé dans le compte Gmail de l'utilisateur authentifié.

L'exemple suivant montre comment utiliser curl pour appeler l'outil MCP create_label.

Requête curl
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_label",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schéma d'entrée

Message de requête pour le RPC CreateLabel.

CreateLabelRequest

Représentation JSON
{
  "displayName": string
}
Champs
displayName

string

Obligatoire. Nom à afficher du libellé à créer.

Schéma de sortie

Détails d'un libellé.

Libellé

Représentation JSON
{
  "labelId": string,
  "name": string
}
Champs
labelId

string

Identifiant unique du libellé.

name

string

Nom d'affichage du libellé, lisible par l'humain.

Annotations d'outils

Indication de destruction : ❌ | Indication d'idempotence : ❌ | Indication de lecture seule : ❌ | Indication de monde ouvert : ❌